package cn.com.ctop.toutiao.modules.adlab.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface ICreateProjectService {

    //新建投放管家项目
    JSONObject createGroup(CtopOauthToken oauthToken,JSONObject requestBody);

    //设置项目转化信息
    JSONObject updateGroupConvert(CtopOauthToken oauthToken, Map<String,Object> requestBody);

    //设置项目定向信息
    JSONObject updateGroupAudience(CtopOauthToken oauthToken,Map<String,Object> requestBody);

    //设置项目创意信息
    JSONObject updateGroupCreative(CtopOauthToken oauthToken,Map<String,Object> requestBody);

    //设置项目预算信息
    JSONObject updateGroupBudget(CtopOauthToken oauthToken,Map<String,Object> requestBody);

}
